> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/Addresses/GetSingleView/{itemId} ## OpenAPI ````json GET /v26.4/Addresses/GetSingleView/{itemId} { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/Addresses/GetSingleView/{itemId}": { "get": { "tags": [ "Addresses" ], "parameters": [ { "name": "itemId", "in": "path", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ViewAddressDTO" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ViewAddressDTO" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ViewAddressDTO" } } } } } } } }, "components": { "schemas": { "ViewAddressDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "organizationId": { "type": "integer", "format": "int32", "nullable": true }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "customerId": { "type": "integer", "format": "int32", "nullable": true }, "externalCode": { "type": "string", "nullable": true }, "cancelled": { "type": "boolean", "default": false }, "addressType": { "$ref": "#/components/schemas/AddressType2" }, "defaultDeliveryAddress": { "type": "boolean", "default": false }, "street": { "type": "string", "nullable": true }, "numberPart1": { "type": "integer", "format": "int32", "nullable": true }, "numberPart2": { "type": "string", "nullable": true }, "address": { "type": "string", "nullable": true }, "addressDescription": { "type": "string", "nullable": true }, "zipCode": { "type": "string", "nullable": true }, "city": { "type": "string", "nullable": true }, "county": { "type": "string", "nullable": true }, "countryId": { "type": "integer", "format": "int32", "nullable": true }, "attentionOf": { "type": "string", "nullable": true }, "countryDescription": { "type": "string", "nullable": true }, "countryIsoCode": { "type": "string", "nullable": true }, "countryIsoDescription": { "type": "string", "nullable": true }, "eu": { "type": "boolean", "default": false } }, "additionalProperties": false }, "AddressType2": { "enum": [ "NotSpecified", "DefaultAddress", "AlternatePostalAddress", "AlternateInvoiceAddress", "AlternateDeliveryAddress" ], "type": "string" } } } } ````